Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::_TAO_ServerInformationIterator_Remote_Proxy_Impl Class Reference

`#include <ImplRepoC.h>`

Inheritance diagram for ImplementationRepository::_TAO_ServerInformationIterator_Remote_Proxy_Impl:

[legend]
Collaboration diagram for ImplementationRepository::_TAO_ServerInformationIterator_Remote_Proxy_Impl:

[legend]
List of all members.

## Public Methods
| _TAO_ServerInformationIterator_Remote_Proxy_Impl (void)
virtual | ~_TAO_ServerInformationIterator_Remote_Proxy_Impl (void)
virtual CORBA::Boolean | next_n (CORBA_Object *_collocated_tao_target_, CORBA::ULong how_many, ImplementationRepository::ServerInformationList_out server_list ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual void | destroy (CORBA_Object *_collocated_tao_target_ ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )

## Constructor & Destructor Documentation

ImplementationRepository::_TAO_ServerInformationIterator_Remote_Proxy_Impl::_TAO_ServerInformationIterator_Remote_Proxy_Impl | ( | void |  | ) |

virtual ImplementationRepository::_TAO_ServerInformationIterator_Remote_Proxy_Impl::~_TAO_ServerInformationIterator_Remote_Proxy_Impl | ( | void |  | ) | `[inline, virtual]`

## Member Function Documentation

void ImplementationRepository::_TAO_ServerInformationIterator_Remote_Proxy_Impl::destroy | ( | CORBA_Object *_collocated_tao_target_ | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from ImplementationRepository::_TAO_ServerInformationIterator_Proxy_Impl.

CORBA::Boolean ImplementationRepository::_TAO_ServerInformationIterator_Remote_Proxy_Impl::next_n | ( | CORBA_Object * | _collocated_tao_target_,
|  | CORBA::ULong | how_many,
|  | ImplementationRepository::ServerInformationList_out server_list | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from ImplementationRepository::_TAO_ServerInformationIterator_Proxy_Impl.

The documentation for this class was generated from the following files:

- ImplRepoC.h
- ImplRepoC.cpp